#ifndef GAMINGCORE_IMAGE_HPP
#define GAMINGCORE_IMAGE_HPP

#include <core/List.hpp>
#include <core/Types.hpp>

namespace Core {
    struct Image8 {
        List<u8> data{};
        int width = 0;
        int height = 0;
        int channels = 0;

        bool read(const char* path);
    };

    struct Image16 {
        List<u16> data{};
        int width = 0;
        int height = 0;
        int channels = 0;

        bool read(const char* path);
    };
}

#endif
